local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("PitBull", "PitBull")
if not Addon then return end

function Addon:Start()
    
    -- swap to raid configuration; will swap to party if in party
    PitBull:ChangeConfigMode(NShakedown.db.profile.PitBull)
    
    -- unlock frames
    if PitBull.db.profile.settings.locked then
        PitBull.db.profile.settings.locked = false
    end
end

function Addon:Stop()

    -- get out of configuration mode
    PitBull:ChangeConfigMode(nil)

    -- lock frames
    PitBull.db.profile.settings.locked = true
end