local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Afflicted", "Afflicted")
if not Addon then return end

local PERIOD = 9.9
local prevAnchor
local Config
local AE = AceLibrary("AceEvent-2.0")

function Addon:Start()

	prevAnchor = Afflicted.db.profile.anchor
	Afflicted.db.profile.anchor = true
	Afflicted:Reload()

	Config = Afflicted:GetModule("Config")
	Config:TestTimers()
	AE:ScheduleRepeatingEvent("AfflictedShakedown", function() Config:TestTimers() end, PERIOD)
end

function Addon:Stop()

	AE:CancelScheduledEvent("AfflictedShakedown")
	Afflicted:ClearTimers(Afflicted.spell)
	Afflicted:ClearTimers(Afflicted.buff)

	if not prevAnchor then
		Afflicted.db.profile.anchor = false
		Afflicted:Reload()
	end
end
